#' Spectral clustering function with pam clustering.
#
#' @param W NxN similarity matrix
#' @param k Number of clusters
#'
#' @return Cluster labels
#'
#' @export
spectralClustering <- function(W, k){
  n <- ncol(W)
  S = rowSums(W)
  D = diag(S)
  L <- D - W
  U <- (eigen(L)$vectors)[ , ((n-k+1):n)]
  C <- pam(x = U, k = k)
  return(C$clustering)
}
