% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nClust.R
\name{nClust}
\alias{nClust}
\title{Estimates the optimal number of clusters using either Slope or Silhouette criterion. The optimal number of clusters will be
verified in the range {2,..., maxClust}.}
\usage{
nClust(dataDist, p = 1, maxClust = 20, clusteringFunction,
  criterion = c("slope", "silhouette"))
}
\arguments{
\item{dataDist}{A matrix with n subjects. Each subject has the size of NxN and represents the distances between the elements of the sample.}

\item{p}{Slope adjust parameter.}

\item{maxClust}{The max number of clusters to be tried.}

\item{clusteringFunction}{The clustering function that Slope should use.}

\item{criterion}{The criterion that will be used for estimating the number of clusters. The options are "slope" or "silhouette". If not defined, "slope" will be used.}
}
\value{
the optimal number of clusters.
}
\description{
Estimates the optimal number of clusters using either Slope or Silhouette criterion. The optimal number of clusters will be
verified in the range {2,..., maxClust}.
}

